Package org.jboss.resteasy.core

## Class ExceptionAdapter

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.jboss.resteasy.core.ExceptionAdapter

- All Implemented Interfaces:
    `Serializable`

      public class ExceptionAdapter
      extends RuntimeException

  A ExceptionAdapter.
  Version:
    $Revision: $
  Author:
    Ryan J. McDonough
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExceptionAdapter​(Exception e)` | Create a new ExceptionAdapter.
    `ExceptionAdapter​(String message, Exception e)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `printStackTrace()` | Prints stack trace.
    `void` | `printStackTrace​(PrintStream s)` | Prints stack trace.
    `void` | `printStackTrace​(PrintWriter s)` | Prints stack trace.
    `void` | `rethrow()` | Rethrows the original exception class.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ExceptionAdapter

          public ExceptionAdapter​(Exception e)

      Create a new ExceptionAdapter.
      Parameters:
        `e` - exception

    - #### ExceptionAdapter

          public ExceptionAdapter​(String message,
                                  Exception e)

  - ### Method Detail

    - #### printStackTrace

          public void printStackTrace()

      Prints stack trace.
      Overrides:
        `printStackTrace` in class `Throwable`
      See Also:
        `Throwable.printStackTrace()`

    - #### printStackTrace

          public void printStackTrace​(PrintStream s)

      Prints stack trace.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - print stream
      See Also:
        `Throwable.printStackTrace(java.io.PrintStream)`

    - #### printStackTrace

          public void printStackTrace​(PrintWriter s)

      Prints stack trace.
      Overrides:
        `printStackTrace` in class `Throwable`
      Parameters:
        `s` - print writer
      See Also:
        `Throwable.printStackTrace(java.io.PrintWriter)`

    - #### rethrow

          public void rethrow()
                       throws Exception

      Rethrows the original exception class.
      Throws:
        `Exception` - exception